classdef TestEstimateRigidTransform
    %TestEstimateRigidTransform
    properties (Constant)
        im = im2uint8([...
            0 0 0 0 0 0 0 0 0 0;...
            0 0 0 0 0 0 0 0 0 0;...
            0 0 0 0 0 0 0 0 0 0;...
            0 0 0 1 1 1 1 0 0 0;...
            0 0 0 1 0 1 0 0 0 0;...
            0 0 0 1 1 1 0 0 0 0;...
            0 0 0 0 0 0 1 0 0 0;...
            0 0 0 0 0 0 0 0 0 0;...
            0 0 0 0 0 0 0 0 0 0;...
            0 0 0 0 0 0 0 0 0 0;...
            ]);
    end
    
    methods (Static)
        function test_1
            im1 = TestEstimateRigidTransform.im;
            im2 = [zeros(10,1,'uint8'),im1(:,1:end-1)];
            M = cv.estimateRigidTransform(im1,im2,'FullAffine',false);
        end
        
        function test_error_1
            try
                cv.estimateRigidTransform();
                throw('UnitTest:Fail');
            catch e
                assert(strcmp(e.identifier,'mexopencv:error'));
            end
        end
    end
    
end

